## khotkeys 5.15.4

=== debian/changelog ===
khotkeys (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:15 +0100

khotkeys (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:43 +0000

khotkeys (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:21 +0000

khotkeys (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:12 +0000

khotkeys (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:49 +0000

khotkeys (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:04 +0000

khotkeys (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:57 +0000

khotkeys (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:01 +0000

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5itemmodels-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.15.4~),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

## khotkeys 5.16.5

=== debian/changelog ===
khotkeys (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:54 +0100

khotkeys (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:43 +0100

khotkeys (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:02 +0100

khotkeys (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:59 +0100

khotkeys (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:27 +0100

khotkeys (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:41 +0100

khotkeys (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:49 +0100

khotkeys (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5itemmodels-dev (>= 5.54.0~),
-               libkf5kcmutils-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5xmlgui-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5itemmodels-dev (>= 5.58.0~),
+               libkf5kcmutils-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5xmlgui-dev (>= 5.58.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.4~),
+               plasma-workspace-dev (>= 4:5.16.5~),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
@@ -56,7 +56,8 @@
 Package: khotkeys-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kde-workspace-dev
 Replaces: kde-workspace-dev
 Description: configure input actions settings

## khotkeys 5.18.4.1

=== CMakeLists.txt ===
project(khotkeys)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")



include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(KDEClangFormat)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    GlobalAccel
    I18n
    KIO
    XmlGui
    KDELibs4Support
    DBusAddons
    KCMUtils
    Plasma
)

find_package(X11 REQUIRED OPTIONAL_COMPONENTS Xtst)
find_package(LibKWorkspace CONFIG REQUIRED)

if(X11_FOUND)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras )
    set(HAVE_XTEST ${X11_XTest_FOUND})
    set(HAVE_X11 1)
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)


# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"khotkeys\")

# Convenience library
add_subdirectory( libkhotkeysprivate )
# has to be before kcm_hotkeys
add_subdirectory( app )
# kcm module to configure hotkeys
add_subdirectory( kcm_hotkeys )
# kdedmodule and standalone demon for hotkeys
add_subdirectory( data )
add_subdirectory( test )
add_subdirectory( doc )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== autotests/CMakeLists.txt ===
macro(KHOTKEYS_UNIT_TESTS)
       foreach(_testname ${ARGN})
               kde4_add_unit_test(${_testname} NOGUI ${_testname}.cpp)
               target_link_libraries(${_testname} khotkeysprivate  Qt5::Test)
       endforeach(_testname)
endmacro(KHOTKEYS_UNIT_TESTS)

khotkeys_unit_tests(
    kdedmodule_daemon_test )

=== libkhotkeysprivate/CMakeLists.txt ===
# KHotKey convenience library. Contains
# - Actions
# - Trigger
# - Conditions
# - Some gui stuff

set(khotkeysprivate_SRCS

    # ACTIONS
    actions/action.cpp
    actions/action_list.cpp
    actions/activate_window_action.cpp
    actions/command_url_action.cpp
    actions/dbus_action.cpp
    actions/keyboard_input_action.cpp
    actions/menuentry_action.cpp

    # ACTION DATA
    action_data/action_data.cpp
    action_data/action_data_base.cpp
    action_data/action_data_group.cpp
    action_data/generic_action_data.cpp
    action_data/menuentry_shortcut_action_data.cpp
    action_data/simple_action_data.cpp

    action_data/action_data_visitor.cpp

    # CONDITIONS
    conditions/active_window_condition.cpp
    conditions/and_condition.cpp
    conditions/condition.cpp
    conditions/conditions_list_base.cpp
    conditions/conditions_list.cpp
    conditions/existing_window_condition.cpp
    conditions/not_condition.cpp
    conditions/or_condition.cpp
    conditions/conditions_visitor.cpp

    # TRIGGERS
    triggers/gestures.cpp
    triggers/gesture_trigger.cpp
    triggers/shortcut_trigger.cpp
    triggers/trigger.cpp
    triggers/trigger_list.cpp
    triggers/triggers.cpp
    # triggers/voice_trigger.cpp
    triggers/window_trigger.cpp

    # WINDOWS_HELPER
    windows_helper/window_selection_rules.cpp
    windows_helper/window_selection_list.cpp
    windows_helper/window_selection_interface.cpp

    # DAEMON
    daemon/daemon.h
    daemon/daemon.cpp

    # OTHER
    khotkeysglobal.cpp
    settings.cpp
    settings_reader_v2.cpp
    settings_writer.cpp
    shortcuts_handler.cpp
    windows_handler.cpp
    # search for FIXME: SOUND
    # sound.cpp
    # soundrecorder.cpp
    # voices.cpp
    # voicesignature.cpp
)

add_library(khotkeysprivate SHARED ${khotkeysprivate_SRCS})
# Not exported, so just make all links PUBLIC
target_link_libraries(khotkeysprivate PUBLIC
    PW::KWorkspace
    Qt5::X11Extras
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::XmlGui
    KF5::Service
    KF5::KDELibs4Support
    ${X11_X11_LIB})
if(X11_XTest_FOUND)
    target_link_libraries(khotkeysprivate PUBLIC ${X11_XTest_LIB})
endif()
set_target_properties(khotkeysprivate PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
install(TARGETS khotkeysprivate ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
khotkeys (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:07 +0100

khotkeys (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:32 +0000

khotkeys (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:44 +0000

khotkeys (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:33 +0000

khotkeys (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:53 +0000

khotkeys (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:47 +0000

khotkeys (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:23 +0000

khotkeys (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:40 +0000

khotkeys (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:29 +0000

khotkeys (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               kinit-dev (>= 5.58.0~),
-               libkf5dbusaddons-dev (>= 5.58.0~),
-               libkf5doctools-dev (>= 5.58.0~),
-               libkf5globalaccel-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5itemmodels-dev (>= 5.58.0~),
-               libkf5kcmutils-dev (>= 5.58.0~),
-               libkf5kdelibs4support-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5plasma-dev (>= 5.58.0~),
-               libkf5xmlgui-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               kinit-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5doctools-dev (>= 5.66.0~),
+               libkf5globalaccel-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5itemmodels-dev (>= 5.66.0~),
+               libkf5kcmutils-dev (>= 5.66.0~),
+               libkf5kdelibs4support-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5plasma-dev (>= 5.66.0~),
+               libkf5xmlgui-dev (>= 5.66.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.5~),
+               plasma-workspace-dev (>= 4:5.18.4.1~),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='khotkeys-dbg (<= 4:5.5.5-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## khotkeys 5.19.5

=== debian/changelog ===
khotkeys (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:23 +0100

khotkeys (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:41 +0100

khotkeys (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:37 +0100

khotkeys (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:08 +0100

khotkeys (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.4.1~),
+               plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys

## khotkeys 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 
 
@@ -15,7 +15,7 @@
 )
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== app/CMakeLists.txt ===
########### next target ###############

set(dbus_interface_name org.kde.khotkeys.xml)
set(kded_khotkeys_PART_SRCS 
        kded.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${dbus_interface_name})

qt5_generate_dbus_interface(kded.h ${dbus_interface_name})
set(dbus_interface_xml ${CMAKE_CURRENT_BINARY_DIR}/${dbus_interface_name})

add_custom_target(khotkeysdbusinterface ALL DEPENDS ${dbus_interface_name})

add_library(kded_khotkeys MODULE ${kded_khotkeys_PART_SRCS})
set_target_properties(kded_khotkeys PROPERTIES OUTPUT_NAME khotkeys)
kcoreaddons_desktop_to_json(kded_khotkeys khotkeys.desktop)

target_link_libraries(kded_khotkeys
    khotkeysprivate
    PW::KWorkspace
    KF5::DBusAddons
    KF5::KDELibs4Support)

# I'm not sure if this is needed anymore. Check it
if(X11_XTest_FOUND)
    target_link_libraries(kded_khotkeys ${X11_XTest_LIB})
endif()

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KHotKeysDBusInterface")

ecm_configure_package_config_file(KHotKeysDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

########### install files ###############
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(TARGETS kded_khotkeys DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.khotkeys.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== kcm_hotkeys/CMakeLists.txt ===
set(
    kcm_hotkeys_PART_SRCS
    kcm_hotkeys.cpp
    global_settings_widget.cpp
    hotkeys_export_widget.cpp
    hotkeys_model.cpp
    hotkeys_proxy_model.cpp
    hotkeys_tree_view.cpp
    hotkeys_context_menu.cpp

    # HELPER WIDGETS
    helper_widgets/window_selector.cpp
    helper_widgets/window_definition_widget.cpp
    helper_widgets/window_definition_list_widget.cpp
    helper_widgets/gesture_drawer.cpp
    helper_widgets/gesture_recorder.cpp
    helper_widgets/gesture_widget.cpp
    helper_widgets/edit_gesture_dialog.cpp

    # TRIGGER WIDGETS
    triggers/trigger_widget_base.cpp
    triggers/shortcut_trigger_widget.cpp
    triggers/window_trigger_widget.cpp
    triggers/gesture_trigger_widget.cpp

    # ACTION WIDGETS
    actions/action_widget_base.cpp
    actions/command_url_action_widget.cpp
    actions/dbus_action_widget.cpp
    actions/menuentry_action_widget.cpp
    actions/keyboard_input_action_widget.cpp

    # CONDITION WiDGETS
    conditions/conditions_widget.cpp
    conditions/condition_type_menu.cpp

    # ACTION_DATA WIDGETS
    hotkeys_widget_iface.cpp
    hotkeys_widget_base.cpp
    action_group_widget.cpp
    simple_action_data_widget.cpp
    )

kde4_add_ui_files(
    kcm_hotkeys_PART_SRCS

    global_settings_widget.ui
    hotkeys_export_widget.ui
    kcm_hotkeys.ui

    # HELPER WIDGETS
    helper_widgets/window_definition_list_widget.ui
    helper_widgets/window_definition_widget.ui
    helper_widgets/gesture_widget.ui

    # TRIGGER WIDGETS
    triggers/window_trigger_widget.ui
    triggers/shortcut_trigger_widget.ui
    triggers/gesture_trigger_widget.ui

    # ACTION WIDGETS
    actions/command_url_action_widget.ui
    actions/dbus_action_widget.ui
    actions/menuentry_action_widget.ui
    actions/keyboard_input_action_widget.ui

    # CONDITION WiDGETS
    conditions/conditions_widget.ui

    # ACTION_DATA WIDGETS
    hotkeys_widget_base.ui
    )

qt5_add_dbus_interface(
    kcm_hotkeys_PART_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/../app/org.kde.khotkeys.xml
    khotkeys_interface)


add_library(
    kcm_hotkeys
    MODULE
    ${kcm_hotkeys_PART_SRCS}
    )
add_dependencies(kcm_hotkeys khotkeysdbusinterface)

target_compile_definitions(kcm_hotkeys PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

add_dependencies(kcm_hotkeys kded_khotkeys)

target_link_libraries(
    kcm_hotkeys
    khotkeysprivate
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::TextWidgets
    KF5::KDELibs4Support
    Qt5::Gui
    ${X11_X11_LIB}
    )

install(
    TARGETS kcm_hotkeys
    DESTINATION ${PLUGIN_INSTALL_DIR}
    )

install(
    FILES khotkeys.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    )

=== debian/changelog ===
khotkeys (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

khotkeys (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

khotkeys (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

khotkeys (4:5.19.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + khotkeys, khotkeys-dev: Add Multi-Arch: same.
    + khotkeys-data: Add Multi-Arch: foreign.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 08:02:13 +0900

khotkeys (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

khotkeys (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 10:40:33 +0900

khotkeys (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Update Uploaders:
    - Remove Maximiliano from Uploaders as requested on IRC.
    - Add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.
  * Update upstream metadata.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Oct 2020 21:08:24 +0200

khotkeys (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Bump the plasma-workspace-dev build dependency to 5.17, to make sure to
    build with the new version.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 23:03:30 +0100

khotkeys (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - cmake-find-x11: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused kinit-dev, and libkf5itemmodels-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the migration from khotkeys-dbg, no more needed after two Debian
    stable releases.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Remove the non-existing ${shlibs:Depends} substvar for khotkeys-data.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 09:22:52 +0100

khotkeys (4:5.14.5-2) unstable; urgency=medium

  * Team upload

  [ John Scott ]
  * Fix FTBFS with upstream patch (Closes: #946327)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Jan 2020 22:46:38 +0100

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libkf5dbusaddons-dev (>= 5.74~),
               libkf5doctools-dev (>= 5.41.0),
               libkf5globalaccel-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5kcmutils-dev (>= 5.74~),
               libkf5kdelibs4support-dev (>= 5.74~),
               libkf5kio-dev (>= 5.74~),
               libkf5plasma-dev (>= 5.74~),
               libkf5xmlgui-dev (>= 5.74~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.17~),
               qtbase5-dev (>= 5.14.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/khotkeys
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
Rules-Requires-Root: no

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

## khotkeys 5.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.21.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 
 
@@ -32,7 +32,6 @@
     KDELibs4Support
     DBusAddons
     KCMUtils
-    Plasma
 )
 
 find_package(X11 REQUIRED OPTIONAL_COMPONENTS Xtst)

=== debian/changelog ===
khotkeys (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:09 +0100

khotkeys (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:05 +0000

khotkeys (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:05 +0000

khotkeys (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:38 +0000

khotkeys (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:20 +0000

khotkeys (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:21 +0000

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.17~),
-               qtbase5-dev (>= 5.14.0~)
+               plasma-workspace-dev (>= 4:5.21.4~),
+               qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/khotkeys
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
@@ -58,7 +58,8 @@
 Package: khotkeys-dev
 Section: devel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kde-workspace-dev
 Replaces: kde-workspace-dev
 Multi-Arch: same

## khotkeys 5.21.5

=== debian/changelog ===
khotkeys (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.4~),
+               plasma-workspace-dev (>= 4:5.21.5~),
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/khotkeys

## khotkeys 5.22.5

=== debian/changelog ===
khotkeys (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:46:32 +0200

khotkeys (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:27 +0100

khotkeys (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:51 +0100

khotkeys (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:52:18 +0100

khotkeys (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:30 +0100

khotkeys (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:27 +0100

khotkeys (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5dbusaddons-dev (>= 5.74~),
-               libkf5doctools-dev (>= 5.41.0),
-               libkf5globalaccel-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5kcmutils-dev (>= 5.74~),
-               libkf5kdelibs4support-dev (>= 5.74~),
-               libkf5kio-dev (>= 5.74~),
-               libkf5plasma-dev (>= 5.74~),
-               libkf5xmlgui-dev (>= 5.74~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5doctools-dev (>= 5.82.0~),
+               libkf5globalaccel-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kdelibs4support-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.5~),
+               plasma-workspace-dev (>= 4:5.22.5~),
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/khotkeys

## khotkeys 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.21.4")
+set(PROJECT_VERSION "5.24.4")
 set(PROJECT_VERSION_MAJOR 5)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.78")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 
 
@@ -17,21 +18,26 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
+include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(ECMPackageConfigHelpers)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+    DBusAddons
+    DocTools
     GlobalAccel
     I18n
+    KCMUtils
     KIO
+    TextWidgets
     XmlGui
+    
+    # TODO: remove kdelibs4support uses
     KDELibs4Support
-    DBusAddons
-    KCMUtils
 )
 
 find_package(X11 REQUIRED OPTIONAL_COMPONENTS Xtst)
@@ -63,6 +69,7 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== test/CMakeLists.txt ===
########### next target ###############

include_directories(../app
                    ${CMAKE_CURRENT_BINARY_DIR}/../app)

set(khotkeys_standalone_PART_SRCS
        main.cpp
        ../app/kded.cpp)

add_executable(khotkeys_standalone ${khotkeys_standalone_PART_SRCS})
add_dependencies(khotkeys_standalone kded_khotkeys)
target_link_libraries(khotkeys_standalone
    khotkeysprivate
    PW::KWorkspace
    KF5::DBusAddons)

# Don't install anything, this is just for debugging

=== debian/changelog ===
khotkeys (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:48 +0100

khotkeys (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:20 +0000

khotkeys (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:17 +0000

khotkeys (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:51 +0000

khotkeys (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:26:56 +0000

khotkeys (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:22 +0000

khotkeys (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:12 +0000

khotkeys (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:15 +0000

khotkeys (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:17:32 +0000

khotkeys (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:38:07 +0900

khotkeys (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

khotkeys (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Oct 2021 23:21:20 +0200

khotkeys (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

khotkeys (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:32 +0200

khotkeys (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 19:32:38 +0200

khotkeys (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:37 +0200

khotkeys (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

khotkeys (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

khotkeys (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

khotkeys (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kdelibs4support-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.24.4~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/plasma/khotkeys
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Rules-Requires-Root: no

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Multi-Arch: same
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.
